@font-face {
  font-family: "myPoppins";
  src: local("Poppins"), url("../fonts/poppins-normal.woff2"), url("../fonts/poppins-normal.woff");
  font-weight: 400; }

@font-face {
  font-family: "myPoppins";
  src: local("Poppins"), url("../fonts/poppins-medium.woff2"), url("../fonts/poppins-medium.woff");
  font-weight: 500; }

@font-face {
  font-family: "myPoppins";
  src: local("Poppins"), url("../fonts/poppins-semibold.woff2"), url("../fonts/poppins-semibold.woff");
  font-weight: 600; }

@font-face {
  font-family: "myPoppins";
  src: local("Poppins"), url("../fonts/poppins-bold.woff2"), url("../fonts/poppins-bold.woff");
  font-weight: 700; }

@font-face {
  font-family: "myHeebo";
  src: local("Heebo"), url("../fonts/heebo-extrabold.woff2"), url("../fonts/heebo-extrabold.woff2");
  font-weight: 800; }

body {
  font-family: "Poppins", "myPoppins", Arial, Helvetica, sans-serif;
  color: #333333; }

body,
.common__container {
  margin: auto; }

.common__container {
  max-width: 1440px; }

h1 {
  font-family: "Heebo", "myHeebo", Arial, Helvetica, sans-serif; }

ul {
  list-style: none;
  padding: 0; }

button,
a {
  cursor: pointer; }

a {
  text-decoration: none; }

img,
button,
input {
  width: 100%; }

figure {
  margin: 0; }

::placeholder {
  font-weight: 500;
  font-size: 14px;
  line-height: 21px;
  color: #bdbdbd; }

::-moz-placeholder {
  font-weight: 500;
  font-size: 14px;
  line-height: 21px;
  color: #bdbdbd; }

::-webkit-input-placeholder {
  font-weight: 500;
  font-size: 14px;
  line-height: 21px;
  color: #bdbdbd; }

.masthead__container {
  position: relative;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between; }

.masthead__title a {
  font-weight: 800;
  flex-basis: 50%;
  color: #333333; }

.header__intro--heading,
.header__article--heading,
.masthead__title {
  font-size: 24px; }

.header__article,
.header__wrapper div,
.header figure,
.masthead__container {
  padding-left: 10px;
  padding-right: 10px; }

.header__intro,
.header__intro--heading,
.header__article--heading,
.header__form--label,
.form__button {
  font-weight: 500; }

.header__intro,
.header__article--paragraph {
  line-height: 18px; }

.header__intro {
  color: #2D9CDB;
  font-size: 12px; }

.header__intro--heading,
.header__article--heading {
  line-height: 36px;
  color: #333333;
  margin: 0; }

.header figure {
  margin-left: auto;
  margin-right: auto;
  margin-top: 22px;
  margin-bottom: 22px; }

.header__image {
  border-radius: 9px; }

.header__article--paragraph {
  font-weight: 400;
  font-size: 12px;
  color: #4F4F4F;
  margin-top: 33px;
  margin-bottom: 33px; }

@media (min-width: 300px) {
  main {
    margin-top: 48px; }
  .header__image {
    border-radius: 18px; }
  .masthead__container,
  .header figure {
    padding-left: 10px;
    padding-right: 19px; }
  .header__article,
  .header__wrapper div {
    padding-left: 40px;
    padding-right: 40px; } }

@media (min-width: 650px) {
  .header__article,
  .header__wrapper div {
    padding-left: calc(277px / 2); } }

@media (min-width: 950px) {
  .masthead__title a {
    font-size: 36px;
    line-height: 53px; }
  .header__article,
  .header__wrapper div {
    padding-left: 277px; }
  .header__wrapper div {
    max-width: 543px; }
  .header__intro {
    font-size: 18px;
    line-height: 27px; }
  .header__intro--heading {
    font-size: 48px;
    line-height: 72px; }
  .masthead__container,
  .header figure {
    padding-left: 52px;
    padding-right: 56px; }
  .header__article {
    max-width: 366px; }
  .header__article--heading {
    font-size: 48px;
    line-height: 72px; }
  .header__article--paragraph {
    font-size: 18px;
    line-height: 27px; } }

.toggle_menu {
  display: none; }

.navigation {
  display: none;
  font-weight: 500;
  font-size: 12px;
  line-height: 18px;
  color: #333333;
  transform: translateX(100%);
  transition: all ease-in 0.2s; }

.list__item--link {
  color: #333333; }

.list__item--link:hover {
  color: #007fe4; }

.list__item--link,
.list__item--link:hover {
  transition: all ease-in .2s; }

.menu {
  background-image: url("../icons/menu.svg");
  display: block;
  background-repeat: no-repeat;
  background-size: contain;
  width: 18px;
  height: 18px;
  text-indent: -9999px;
  cursor: pointer; }

body > .toggle_menu:checked ~ .masthead .navigation {
  display: block;
  position: fixed;
  top: 0;
  right: 0;
  z-index: 3;
  background: #ffffff;
  padding: 1rem;
  border-bottom-left-radius: 30px;
  transform: translateX(0%);
  transition: all ease-in 0.2s; }

body > .toggle_menu:checked ~ .masthead .menu {
  background-image: unset;
  height: 100vh;
  width: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  z-index: 2;
  position: fixed;
  left: 0;
  right: 0;
  top: 0; }

@media (min-width: 300px) {
  .navigation {
    background-size: 100%; } }

@media (min-width: 600px) {
  .navigation {
    display: block;
    position: unset;
    transform: unset;
    flex-basis: 50%; }
  .navigation__list {
    display: flex;
    flex-direction: row;
    justify-content: space-between; }
  .menu {
    display: none; } }

@media (min-width: 950px) {
  .navigation a {
    font-size: 18px;
    line-height: 36px; } }

.section__service--heading {
  font-weight: 500;
  font-size: 24px;
  line-height: 36px;
  color: #333333; }

.card-button {
  font-weight: 500;
  font-size: 16px;
  line-height: 24px;
  max-width: 116px;
  height: 100%;
  min-height: 42px;
  border-radius: 12px; }

section {
  margin-top: 51px; }

section article {
  margin-top: 43px;
  margin-bottom: 43px; }

.section__service article:hover .card {
  background: #ffffff;
  box-shadow: 0px 10px 30px rgba(51, 51, 51, 0.1);
  border-radius: 12px;
  transition: box-shadow ease-in 0.2s; }

.section__service article:hover .card,
.section__service article .card {
  padding-bottom: 43px;
  padding-top: 43px; }

.article__design--heading,
.article__front-end--heading,
.article__back-end--heading {
  font-weight: bold;
  font-size: 24px;
  line-height: 36px;
  color: #333333; }

.article__design--paragraph,
.article__front-end--paragraph,
.article__back-end--paragraph {
  font-weight: 400;
  font-size: 16px;
  line-height: 24px;
  color: #4F4F4F;
  margin-top: 30px;
  margin-bottom: 30px; }

.section__service article,
.section__service .card {
  padding-left: 5px;
  padding-right: 5px; }

.section__service article button {
  background: #E0E0E0;
  border: solid 1px #E0E0E0;
  color: #828282; }

.section__service article:hover button {
  background-color: #2D9CDB;
  color: #ffffff;
  border: 1px solid #2D9CDB; }

.section__service .card:hover,
.section__service .card,
.section__service article:hover button,
.section__service article button {
  transition: all ease-in 0.2s; }

.section__service .card img {
  max-width: 27px;
  padding: 10px;
  border-radius: 8px; }

@media (min-width: 300px) {
  section {
    margin-top: 102px; }
  .section__service article {
    padding-left: 10px;
    padding-right: 10px; }
  .section__service article,
  .section__service article:hover {
    margin-top: 86px;
    margin-bottom: 86px;
    padding-left: 15px;
    padding-right: 15px; }
  .section__service article:hover .card {
    border-radius: 24px; }
  .section__service article .card {
    padding-left: 34px;
    padding-right: 34px; }
  .section__service .card img {
    max-width: 27px;
    padding: 20px;
    border-radius: 16px; } }

@media (min-width: 650px) {
  .section__service .card {
    max-width: 300px; }
  .section__service--wrapper {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap; }
  .section__service .common__container {
    padding-left: calc($padding-large-left / 2);
    padding-right: calc($padding-large-right / 2); } }

@media (min-width: 950px) {
  .section__service .common__container {
    margin-top: 200px;
    margin-bottom: 200px;
    padding-left: 165px;
    padding-right: 165px; } }

@media (min-width: 1200px) {
  .section__service--wrapper {
    flex-wrap: nowrap; }
  .section__service .card {
    max-width: 341px; } }

.section__service--heading {
  padding-left: 10px;
  padding-right: 10px; }

.create_icon {
  background-color: #2D9CDB; }

@media (min-width: 300px) {
  .section__service--heading {
    padding-left: 49px;
    padding-right: 49px; } }

.code_icon {
  background-color: #27AE60; }

.storage_icon {
  background-color: #EB5757; }

.section__design .common__container {
  padding-left: 10px;
  padding-right: 14px; }

.section__design--heading {
  font-weight: 500;
  font-size: 26px;
  line-height: 54px; }

.section__design--design {
  margin-top: 24px;
  margin-bottom: 24px; }

.about-the-app {
  color: #828282;
  font-weight: 300;
  font-size: 12px;
  line-height: 18px; }

.name-of-app {
  margin: 0;
  color: #333333; }

.section__design--image {
  border-radius: 12px; }

.name-of-app,
.more__link {
  font-weight: 500;
  font-size: 18px;
  line-height: 27px; }

.more__link {
  display: flex;
  flex-direction: row;
  align-items: center;
  color: #2D9CDB;
  text-decoration: none; }

.more__link:hover {
  text-decoration: underline; }

.more__link:hover,
.more__link {
  transition: all ease-in 0.2s; }

.more__link::after {
  content: "";
  background-image: url("../icons/arrow_right.svg");
  display: block;
  display: block;
  background-repeat: no-repeat;
  background-size: contain;
  background-size: auto;
  background-position: right center;
  width: 16px;
  height: 16px;
  padding-left: 12px; }

@media (min-width: 300px) {
  .section__design--heading {
    font-size: 24px; }
  .section__design--design {
    margin-top: 48px;
    margin-bottom: 48px; }
  .section__design--image {
    border-radius: 24px; } }

@media (min-width: 650px) {
  .images__wrapper {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 20px; }
  .section__design--design:nth-child(even) {
    margin-bottom: 105px;
    margin-top: 0; }
  .section__design--design:nth-child(odd) {
    margin-top: 105px;
    margin-bottom: 0; }
  .more {
    grid-column: 1/3;
    justify-self: end;
    position: relative;
    top: -70px; }
  .section__design .common__container {
    padding-left: calc($padding-large-left / 2);
    padding-right: calc($padding-large-right / 2); } }

@media (min-width: 950px) {
  .section__design .common__container {
    padding-left: 165px;
    padding-right: 165px; }
  .section__design--heading {
    line-height: 54px;
    font-size: 36px;
    max-width: 448px; }
  .about-the-app {
    font-size: 14px;
    line-height: 21px; }
  .name-of-app {
    font-size: 24px;
    line-height: 36px; }
  .more__link {
    font-size: 24px;
    line-height: 36px; } }

.section__team .common__container {
  padding-left: 10px;
  padding-right: 19px; }

.person__about--activity,
.section__team--head {
  line-height: 27px; }

.section__team--head {
  font-size: 16px;
  color: #eb5757; }

.quote q,
.person__about--name,
.person__about--activity,
.section__team--head,
.section__team--heading {
  font-weight: 500; }

.person__about--name,
.quote,
.section__team--heading {
  color: #333333; }

.section__team--heading {
  font-size: 28px;
  line-height: 50px; }

.section__team--paragraph {
  font-size: 16px;
  line-height: 24px;
  color: #4F4F4F; }

.team__image {
  border-radius: 8px; }

.team__image:hover {
  box-shadow: 3px 3px 6px black; }

.team__image,
.team__image:hover {
  transition: all ease-in 0.2s; }

.note {
  margin-top: 100px;
  margin-bottom: 100px; }

.quote {
  margin-left: 0;
  margin-right: 0;
  margin-top: 18px;
  margin-bottom: 18px; }

.quote h4 {
  font-weight: 400; }

.quote h4,
.person__about--name {
  font-size: 18px;
  line-height: 36px; }

.person__about--activity,
.person__about--name {
  margin-top: calc(12px / 2);
  margin-bottom: calc(12px / 2); }

.person__about--activity {
  font-size: 16px;
  color: #828282; }

.small_image {
  max-width: 81px;
  max-height: 81px;
  border-radius: 12px;
  margin-right: calc(27px / 2); }

.person__wrapper,
.person__about {
  display: flex; }

.person__wrapper {
  flex-direction: row;
  flex-wrap: wrap;
  align-items: center; }

.person__about {
  flex-direction: column; }

@media (min-width: 300px) {
  .section__team--heading {
    font-size: 36px;
    line-height: 54px; }
  .team__image {
    border-radius: 12px; }
  .section__team--head {
    font-size: 18px; }
  .section__team--images {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 16px; }
  .team__image {
    border-radius: 24px; }
  .person3 {
    grid-row: 1/3;
    margin-top: auto;
    margin-bottom: auto; }
  .quote h4,
  .person__about--name {
    font-size: 24px;
    line-height: 36px; }
  .person__about--activity {
    font-size: 18px; }
  .small_image {
    margin-right: 27px; } }

@media (min-width: 650px) {
  .section__team .common__container {
    padding-left: calc($padding-large-left / 2);
    padding-right: calc($padding-large-right / 2); }
  .section__team--wrapper {
    display: flex;
    align-items: center;
    gap: 20px; }
  .section__team--article {
    max-width: 280px;
    margin-right: auto; } }

@media (min-width: 950px) {
  .section__team .common__container {
    padding-left: 165px;
    padding-right: 165px; }
  .quote {
    max-width: 937px;
    margin-top: 54px;
    margin-bottom: 54px; }
  .quote h4 {
    font-size: 36px;
    line-height: 54px; } }

.form__label {
  font-size: 10px;
  line-height: 15px;
  color: #828282; }

.form__button,
.form__wrapper {
  border-radius: 12px; }

.form__wrapper {
  display: flex;
  flex-direction: row;
  align-items: center;
  background: #F2F2F2;
  height: 47px;
  padding-left: 19px;
  padding-right: 4px; }

.form__input,
.form__button {
  height: 100%;
  max-height: 39px;
  outline: #2D9CDB; }

.form__input {
  border: solid 1px transparent;
  background-color: transparent; }

.form__button {
  font-size: 14px;
  line-height: 21px;
  color: #F2F2F2;
  background: #2D9CDB;
  border: solid 1px #2D9CDB;
  max-width: 71px; }

.form__button:hover {
  background-color: #2587be; }

.form__button,
.form__button:hover {
  transition: all ease-in .2s; }

@media (min-width: 650px) {
  .form__wrapper {
    max-width: 400px; } }

@media (min-width: 950px) {
  .form__label {
    font-size: 14px;
    line-height: 21px; } }

footer {
  background-color: #100e1d;
  padding-left: 10px;
  padding-right: 10px;
  padding-top: 45px;
  padding-bottom: 45px; }

.footer__wrapper {
  padding-bottom: 133px; }

.footer__navigation--list-item {
  margin-top: 10px;
  margin-bottom: 10px; }

.footer__list--item-link {
  color: #ffffff;
  font-weight: 400;
  font-size: 16px; }

.footer__list--item-link:hover {
  color: #007fe4; }

.footer__list--item-link:hover,
.footer__list--item-link,
.social__media--link,
.social__media--link:hover {
  transition: all ease-in 0.2s; }

.footer__heading a {
  color: #F2F2F2;
  font-size: 30px;
  font-weight: 800;
  line-height: 53px;
  margin: auto; }

.social__media {
  margin-top: 55px;
  margin-bottom: 55px; }

.social__media--list-item {
  text-indent: -9999px; }

.social__media--list {
  display: flex;
  flex-direction: row;
  align-items: center;
  flex-wrap: wrap; }

.social__media--link {
  display: block;
  background-repeat: no-repeat;
  background-size: contain;
  width: 24px;
  height: 24px; }

.social__media--link:hover {
  transform: scale(1.3); }

.instagram {
  background-image: url("../icons/instagram.svg"); }

.linkedin {
  background-image: url("../icons/linkedin.svg"); }

.twitter {
  background-image: url("../icons/twitter.svg"); }

.social__media--list-item {
  margin-right: 11px; }

.developer__wrapper {
  text-align: center; }

.developer {
  font-family: "Montserrat", Arial, Helvetica, sans-serif;
  font-weight: 600;
  font-size: 12px;
  line-height: 17px;
  color: #a9a9a9; }

.developer__paragraph {
  margin: 0; }

@media (min-width: 300px) {
  footer {
    padding-left: 41px;
    padding-right: 41px; }
  .footer__list--item-link {
    font-size: 18px; }
  .footer__heading a {
    font-size: 36px; }
  .social__media {
    margin-top: 65px;
    margin-bottom: 65px; }
  .developer {
    font-size: 14px; } }

@media (min-width: 650px) {
  .footer__wrapper {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-between; }
  .footer__navigation {
    flex-basis: 50%; }
  .social__media {
    flex-basis: 50%; }
  .footer__form {
    flex-basis: 100%; }
  .social__media {
    margin: 0; } }

@media (min-width: 950px) {
  .footer {
    padding-left: 165px;
    padding-right: 165px; }
  .footer__navigation {
    flex-basis: 25%; }
  .social__media {
    flex-basis: 25%; }
  .footer__form {
    flex-basis: 30%; } }
